[Buildroot] [PATCH 2/3] package/elixir: new package

Thomas Petazzoni thomas.petazzoni at bootlin.com
Sat Feb 1 22:02:24 UTC 2020


On Wed, 29 Jan 2020 18:26:17 +0100
Frank Vanbever <frank.vanbever at essensium.com> wrote:

> +ELIXIR_VERSION = 1.9.4
> +ELIXIR_SITE = $(call github,elixir-lang,elixir,v$(ELIXIR_VERSION))
> +ELIXIR_LICENSE = Apache-2.0
> +ELIXIR_LICENSE_FILES = LICENSE
> +ELIXIR_DEPENDENCIES = erlang

It seems pretty bad/weird for a host package to depend on a target
package. We do have this situation already with host-gcc-final
depending on the target C library package.

Do you really need the target "erlang", and not just "host-erlang" ?

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com


More information about the buildroot mailing list